Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F	(revision 5098)
@@ -210,8 +210,4 @@
 
             DO ij=iip2+1,ip1jm
-#ifdef CRAY
-               dxq(ij,l)=
-     ,         cvmgp(dxqu(ij-1)+dxqu(ij),0.,dxqu(ij-1)*dxqu(ij))
-#else
                IF(dxqu(ij-1)*dxqu(ij)>0) THEN
                   dxq(ij,l)=dxqu(ij-1)+dxqu(ij)
@@ -220,5 +216,4 @@
                   dxq(ij,l)=0.
                ENDIF
-#endif
                dxq(ij,l)=0.5*dxq(ij,l)
                dxq(ij,l)=
@@ -274,20 +269,4 @@
 c   calcul des flux a gauche et a droite
 
-#ifdef CRAY
-
-      DO l=1,llm
-       DO ij=iip2,ip1jm-1
-          zdum(ij,l)=cvmgp(1.-u_m(ij,l)/masse(ij,l,iq),
-     ,                     1.+u_m(ij,l)/masse(ij+1,l,iq),
-     ,                     u_m(ij,l))
-          zdum(ij,l)=0.5*zdum(ij,l)
-          u_mq(ij,l)=cvmgp(
-     ,                q(ij,l,iq)+zdum(ij,l)*dxq(ij,l),
-     ,                q(ij+1,l,iq)-zdum(ij,l)*dxq(ij+1,l),
-     ,                u_m(ij,l))
-          u_mq(ij,l)=u_m(ij,l)*u_mq(ij,l)
-       ENDDO
-      ENDDO
-#else
 c   on cumule le flux correspondant a toutes les mailles dont la masse
 c   au travers de la paroi pENDant le pas de temps.
@@ -307,5 +286,4 @@
        ENDDO
       ENDDO
-#endif
 
 c	go to 9999
@@ -883,12 +861,8 @@
       INTEGER ifils,iq2 ! CRisi
 
-      LOGICAL testcpu
-      SAVE testcpu
-
 #ifdef BIDON
       REAL temps0,temps1,second
       SAVE temps0,temps1
 
-      DATA testcpu/.false./
       DATA temps0,temps1/0.,0./
 #endif
@@ -899,9 +873,4 @@
       !write(*,*) 'vlz 923: entree'
 
-#ifdef BIDON
-      IF(testcpu) THEN
-         temps0=second(0.)
-      ENDIF
-#endif
       DO l=2,llm
          DO ij=1,ip1jmp1
@@ -913,8 +882,4 @@
       DO l=2,llm-1
          DO ij=1,ip1jmp1
-#ifdef CRAY
-            dzq(ij,l)=0.5*
-     ,      cvmgp(dzqw(ij,l)+dzqw(ij,l+1),0.,dzqw(ij,l)*dzqw(ij,l+1))
-#else
             IF(dzqw(ij,l)*dzqw(ij,l+1)>0.) THEN
                 dzq(ij,l)=0.5*(dzqw(ij,l)+dzqw(ij,l+1))
@@ -922,5 +887,4 @@
                 dzq(ij,l)=0.
             ENDIF
-#endif
             dzqmax=pente_max*min(adzqw(ij,l),adzqw(ij,l+1))
             dzq(ij,l)=sign(min(abs(dzq(ij,l)),dzqmax),dzq(ij,l))
@@ -934,9 +898,4 @@
       ENDDO
 
-#ifdef BIDON
-      IF(testcpu) THEN
-         temps1=temps1+second(0.)-temps0
-      ENDIF
-#endif
 c ---------------------------------------------------------------
 c   .... calcul des termes d'advection verticale  .......
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F	(revision 5098)
@@ -55,11 +55,8 @@
       REAL temps1,temps2,temps3
       REAL zzpbar, zzw
-      LOGICAL testcpu
-      SAVE testcpu
       SAVE temps1,temps2,temps3
 
       REAL qmin,qmax
       DATA qmin,qmax/0.,1.e33/
-      DATA testcpu/.false./
       DATA temps1,temps2,temps3/0.,0.,0./
 
@@ -220,6 +217,6 @@
       INTEGER ifils,iq2 ! CRisi
 
-      Logical first,testcpu
-      SAVE first,testcpu
+      Logical first
+      SAVE first
 
       REAL      SSUM
@@ -228,5 +225,5 @@
 
 
-      DATA first,testcpu/.true.,.false./
+      DATA first/.true./
 
       IF(first) THEN
@@ -278,8 +275,4 @@
 
             DO ij=iip2+1,ip1jm
-#ifdef CRAY
-               dxq(ij,l)=
-     ,         cvmgp(dxqu(ij-1)+dxqu(ij),0.,dxqu(ij-1)*dxqu(ij))
-#else
                IF(dxqu(ij-1)*dxqu(ij)>0) THEN
                   dxq(ij,l)=dxqu(ij-1)+dxqu(ij)
@@ -288,5 +281,4 @@
                   dxq(ij,l)=0.
                ENDIF
-#endif
                dxq(ij,l)=0.5*dxq(ij,l)
                dxq(ij,l)=
@@ -341,20 +333,4 @@
 c   calcul des flux a gauche et a droite
 
-#ifdef CRAY
-c--pas encore modification sur Qsat
-      DO l=1,llm
-       DO ij=iip2,ip1jm-1
-          zdum(ij,l)=cvmgp(1.-u_m(ij,l)/masse(ij,l,iq),
-     ,                     1.+u_m(ij,l)/masse(ij+1,l,iq),
-     ,                     u_m(ij,l))
-          zdum(ij,l)=0.5*zdum(ij,l)
-          u_mq(ij,l)=cvmgp(
-     ,                q(ij,l,iq)+zdum(ij,l)*dxq(ij,l),
-     ,                q(ij+1,l,iq)-zdum(ij,l)*dxq(ij+1,l),
-     ,                u_m(ij,l))
-          u_mq(ij,l)=u_m(ij,l)*u_mq(ij,l)
-       ENDDO
-      ENDDO
-#else
 c   on cumule le flux correspondant a toutes les mailles dont la masse
 c   au travers de la paroi pENDant le pas de temps.
@@ -373,5 +349,4 @@
        ENDDO
       ENDDO
-#endif
 
 
@@ -581,8 +556,8 @@
       REAL qpns,qpsn,dyn1,dys1,dyn2,dys2,newmasse,fn,fs
 c     REAL newq,oldmasse
-      Logical first,testcpu
+      Logical first
       REAL temps0,temps1,temps2,temps3,temps4,temps5
       SAVE temps0,temps1,temps2,temps3,temps4,temps5
-      SAVE first,testcpu
+      SAVE first
 
       REAL convpn,convps,convmpn,convmps
@@ -598,5 +573,5 @@
       REAL      SSUM
 
-      DATA first,testcpu/.true.,.false./
+      DATA first/.true./
       DATA temps0,temps1,temps2,temps3,temps4,temps5/0.,0.,0.,0.,0.,0./
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.F	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.F	(revision 5098)
@@ -31,5 +31,5 @@
       REAL w(ip1jmp1,llm),pdt
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -47,17 +47,10 @@
       real zqh(ip1jmp1,llm),zqb(ip1jmp1,llm)
       real temps0,temps1,temps2,temps3
-      real ztemps1,ztemps2,ztemps3,ssum
-      logical testcpu
-      save testcpu
+      real ztemps1,ztemps2,ssum
       save temps1,temps2,temps3
       real zzpbar,zzw
 
-#ifdef CRAY
-      real second
-#endif
-
       real qmin,qmax
       data qmin,qmax/0.,1./
-      data testcpu/.false./
       data temps1,temps2,temps3/0.,0.,0./
 
@@ -120,11 +113,4 @@
 c     call minmaxq(zq,qmin,qmax,'apres vlx     ')
 
-#ifdef CRAY
-      if(testcpu) then
-         ztemps1=second(0.)
-         temps1=temps1+ztemps1-ztemps2
-            print*,'VLSPLT X:',temps1,'   Y:',temps2,'   Z:',temps3
-      endif
-#endif
       do l=1,llm
          do ij=1,ip1jmp1
@@ -155,5 +141,5 @@
       real q(ip1jmp1,llm),qg(ip1jmp1,llm),qd(ip1jmp1,llm)
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -272,5 +258,5 @@
       real q(ip1jmp1,llm),qs(ip1jmp1,llm),qn(ip1jmp1,llm)
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -368,5 +354,5 @@
       real q(ip1jmp1,llm),qh(ip1jmp1,llm),qb(ip1jmp1,llm)
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -493,5 +479,5 @@
       real q(ip1jmp1,llm),qd(ip1jmp1,llm),qg(ip1jmp1,llm)
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -510,9 +496,5 @@
       save prec
 
-#ifdef CRAY
-      data prec/1.e-24/
-#else
       data prec/1.e-15/
-#endif
 
       do l=1,llm
@@ -573,5 +555,5 @@
                  u_mq(ij,l)=
      s           sign(zm,u_m(ij,l))*(zsigp*zqp+(zsig-zsigp)*zqm)
-             endif 
+             endif
           else
              if (zsig<=zsigp) then
@@ -703,5 +685,5 @@
             endif
          enddo
-      endif  ! n0.gt.0 
+      endif  ! n0.gt.0
 
 c   bouclage en latitude
@@ -758,5 +740,5 @@
       real q(ip1jmp1,llm),qn(ip1jmp1,llm),qs(ip1jmp1,llm)
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -772,9 +754,5 @@
       save prec
 
-#ifdef CRAY
-      data prec/1.e-24/
-#else
       data prec/1.e-15/
-#endif
       do l=1,llm
             do ij=1,ip1jmp1
@@ -825,5 +803,5 @@
           else
               zz=0.5*(zsig-zsigp)/zsigm
-              v_mq(ij,l)=sign(zm,v_m(ij,l))*( 0.5*(zq+zqp)*zsigp 
+              v_mq(ij,l)=sign(zm,v_m(ij,l))*( 0.5*(zq+zqp)*zsigp
      s        +(zsig-zsigp)*(zq+zz*(zqm-zq)) )
           endif
@@ -890,5 +868,5 @@
 
 c
-c      Local 
+c      Local
 c   ---------
 c
@@ -902,9 +880,5 @@
       save prec
 
-#ifdef CRAY
-      data prec/1.e-24/
-#else
       data prec/1.e-13/
-#endif
 
       do l=1,llm
